
package de.ivu.elect.presentation.gebietsbaum;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.presentation.NlWasStartViewResolver;
import de.ivu.elect.presentation.gebietsbaum.action.NlWasGebietKorrekturenStimmeingabenNachPruefungKorrigiertAction;

@Specializes
public class NlWasGebietSearchView extends CoreGebietSearchView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasStartViewResolver nlWasStartViewResolver;

  public NlWasGebietSearchView() {
    super();
  }

  @Override
  public String getPageTitle() {
    return super.getPageTitle() + additionalHeader();
  }

  @Override
  public String getPageHeader() {
    return super.getPageHeader() + additionalHeader();
  }

  private String additionalHeader() {
    if (nlWasStartViewResolver.isPublicKeyImportRechtVorhanden() && nlWasStartViewResolver.isPublicKeyImportNeeded()) {
      return " (" + getMessage("eml.public.key.import.menu.item") + ")";
    }

    return "";
  }

  @Override
  public List<String> getDialogTemplates() {
    List<String> result = new ArrayList<>(super.getDialogTemplates());

    result.add(NlWasGebietKorrekturenStimmeingabenNachPruefungKorrigiertAction.DIALOG_TEMPLATE_PATH); // ELECT-15515

    return result;
  }
}
